MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IOpticalFeedbackManager Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IOpticalFeedbackManager:

## Public Member Functions
float | ReadActualOutputOpticalFeedback (EAxis axis)
| Returns actual output optical feedback. More...
float | ReadActualOutputAngle (EAxis axis)
| Returns actual output angle (XY). More...
float | ReadStabilityCriterionPositionParameterA ()
| Returns stability criterion position parameter A (see MR-E-2 documentation for further details). More...
float | ReadStabilityCriterionPositionParameterB ()
| Returns stability criterion position parameter B (see MR-E-2 documentation for further details). More...
float | ReadStabilityCriterionVelocityParameterA ()
| Returns stability criterion velocity parameter A (see MR-E-2 documentation for further details). More...
float | ReadStabilityCriterionVelocityParameterB ()
| Returns stability criterion velocity parameter B (see MR-E-2 documentation for further details). More...
float | ReadRawPhotoDiodePd0 ()
| Returns raw photo diode PD0. More...
float | ReadRawPhotoDiodePd1 ()
| Returns raw photo diode PD1. More...
float | ReadRawPhotoDiodePd2 ()
| Returns raw photo diode PD2. More...
float | ReadRawPhotoDiodePd3 ()
| Returns raw photo diode PD3. More...
float | ReadFilteredPhotoDiodePd0 ()
| Returns filtered photo diode PD0. More...
float | ReadFilteredPhotoDiodePd1 ()
| Returns filtered photo diode PD1. More...
float | ReadFilteredPhotoDiodePd2 ()
| Returns filtered photo diode PD2. More...
float | ReadFilteredPhotoDiodePd3 ()
| Returns filtered photo diode PD3. More...

## Member Function Documentation

## ◆ ReadActualOutputAngle()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadActualOutputAngle | ( | EAxis | axis | ) |

Returns actual output angle (XY).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadActualOutputOpticalFeedback()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadActualOutputOpticalFeedback | ( | EAxis | axis | ) |

Returns actual output optical feedback.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadFilteredPhotoDiodePd0()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadFilteredPhotoDiodePd0 | ( |  | ) |

Returns filtered photo diode PD0.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadFilteredPhotoDiodePd1()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadFilteredPhotoDiodePd1 | ( |  | ) |

Returns filtered photo diode PD1.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadFilteredPhotoDiodePd2()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadFilteredPhotoDiodePd2 | ( |  | ) |

Returns filtered photo diode PD2.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadFilteredPhotoDiodePd3()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadFilteredPhotoDiodePd3 | ( |  | ) |

Returns filtered photo diode PD3.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadRawPhotoDiodePd0()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadRawPhotoDiodePd0 | ( |  | ) |

Returns raw photo diode PD0.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadRawPhotoDiodePd1()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadRawPhotoDiodePd1 | ( |  | ) |

Returns raw photo diode PD1.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadRawPhotoDiodePd2()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadRawPhotoDiodePd2 | ( |  | ) |

Returns raw photo diode PD2.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadRawPhotoDiodePd3()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadRawPhotoDiodePd3 | ( |  | ) |

Returns raw photo diode PD3.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadStabilityCriterionPositionParameterA()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadStabilityCriterionPositionParameterA | ( |  | ) |

Returns stability criterion position parameter A (see MR-E-2 documentation for further details).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadStabilityCriterionPositionParameterB()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadStabilityCriterionPositionParameterB | ( |  | ) |

Returns stability criterion position parameter B (see MR-E-2 documentation for further details).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadStabilityCriterionVelocityParameterA()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadStabilityCriterionVelocityParameterA | ( |  | ) |

Returns stability criterion velocity parameter A (see MR-E-2 documentation for further details).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadStabilityCriterionVelocityParameterB()

float MrE2ModuleSdk.Device.IOpticalFeedbackManager.ReadStabilityCriterionVelocityParameterB | ( |  | ) |

Returns stability criterion velocity parameter B (see MR-E-2 documentation for further details).

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs